--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Ein");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Aus");
		renderText(0.72, 0.75, 0.02, "- Unimog Info -");
		renderText(0.72, 0.65, 0.02, "Taste Pos1: Rul ");
		renderText(0.72, 0.63, 0.02, "Taste Numpad 5: Arbeitslicht vorn ");
		renderText(0.72, 0.61, 0.02, "Taste Numpad 6: Such-Scheinwerfer ");
		renderText(0.72, 0.59, 0.02, "Taste R: Reifen wechseln");
		--renderText(0.72, 0.57, 0.02, "");
		renderText(0.72, 0.57, 0.02, "Taste Numpad 9: Kontergewicht");
		renderText(0.72, 0.55, 0.02, "Taste Numpad Enter: Motorstart");
		renderText(0.72, 0.51, 0.02, "Taste Entf: RearCam");
		renderText(0.72, 0.49, 0.02, "LeerTaste: DruckluftBremse");
		renderText(0.72, 0.47, 0.02, "Taste K: SuchLicht Links schwenken");
		renderText(0.72, 0.45, 0.02, "Taste L: SuchLicht Rechts schwenken");
		renderText(0.72, 0.43, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.72, 0.41, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.39, 0.02, "Taste Numpad 3: Blinker rechts");
		--renderText(0.72, 0.49, 0.02, "");  
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




